#pragma once

#include "HIDDevice.h"

#define HID_VID 0x10C4
#define HID_PID 0x82CD

class CHIDPJQDevice
{
private:
	CHIDDevice dev;
public:
	CHIDPJQDevice(void);
	~CHIDPJQDevice(void);

	BOOL IsConnected(void);
	BOOL IsOpened(void);
	BYTE Open(void);
	BYTE Close(void);

	void PlaySound(BYTE index);
	void SetStar(BYTE level);
	BYTE DoKeyIn(UINT timeout);
	void Reset(void);
	BYTE Status(void);
	void FlashKeyLed(UINT flash);

	void Welcome(void);
	BYTE Evaluate(void);
	void Thanks(void);
};
